# 类: MemberTitleChangeEvent

[(返回目录)](/api.md)

**继承自:** [GroupMemberEvent](/api/groupmemberevent.md)

RainyBot的群成员头衔变更类，其实例记录了与一次群成员头衔变更事件相关的数据

## 方法

* static [MemberTitleChangeEvent](/api/membertitlechangeevent.md) **init\_meta (** [Dictionary](https://docs.godotengine.org/en/latest/classes/class_dictionary.html) dic **)**

通过机器人协议后端的元数据字典构造一个此类的实例，仅当你知道自己在做什么时才使用

***

* [GroupMember](/api/groupmember.md) **get\_member ( )**

获取此事件对应的群成员实例

***

* [Group](/api/group.md) **get\_group ( )**

获取此事件所发生的群组实例

***

* [String](https://docs.godotengine.org/en/latest/classes/class_string.html) **get\_origin\_title ( )**

获取变更前的群头衔

***

* [String](https://docs.godotengine.org/en/latest/classes/class_string.html) **get\_current\_title ( )**

获取变更后的当前群头衔

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainybot.dev/api/membertitlechangeevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
